package com.hw.dms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 停机类型信息对象 dms_base_shut_type
 * 
 * @author Open Platform
 * @date 2024-01-12
 */
public class DmsBaseShutType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long shutTypeId;

    /** 类型编号 */
    @Excel(name = "类型编号")
    private String typeCode;

    /** 停机类型名称 */
    @Excel(name = "停机类型名称")
    private String shutTypeName;

    /** 是否标识：1-是；0-否 */
    @Excel(name = "是否标识：1-是；0-否")
    private String isFlag;

    public void setShutTypeId(Long shutTypeId) 
    {
        this.shutTypeId = shutTypeId;
    }

    public Long getShutTypeId() 
    {
        return shutTypeId;
    }
    public void setTypeCode(String typeCode) 
    {
        this.typeCode = typeCode;
    }

    public String getTypeCode() 
    {
        return typeCode;
    }
    public void setShutTypeName(String shutTypeName) 
    {
        this.shutTypeName = shutTypeName;
    }

    public String getShutTypeName() 
    {
        return shutTypeName;
    }
    public void setIsFlag(String isFlag) 
    {
        this.isFlag = isFlag;
    }

    public String getIsFlag() 
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("shutTypeId", getShutTypeId())
            .append("typeCode", getTypeCode())
            .append("shutTypeName", getShutTypeName())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
